GET
/api/v1/companies/{id}/contactsGet Company Contacts
Returns a list of contacts associated with a company.
Authentication
Send your API key in the x-api-key header.
x-api-keybearer
Parameters
idrequiredpath · string
Company ID to get contacts from.
pagequery · number
Page number to retrieve.
limitquery · number
Number of items per page.
Responses
200
PublicApiGetCompanyContactsResponseDto
statusCoderequirednumber
countrequirednumber
errorrequiredstring
datarequiredarray<PublicApiCompanyContactDto>
Example response
json
{
"statusCode": 200,
"count": 0,
"error": null,
"data": [
{
"contactId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
"contactFirstName": "John",
"contactLastName": "Doe",
"contactEmail": "john.doe@example.com",
"contactTitlePosition": "Software Engineer"
}
]
}
401Unauthorized - missing or invalid API key or Bearer token